# $Revision: 1.314.2.1 $, $Date: 2011/10/07 20:12:29 $
# TODO:
# - http://subversion.tigris.org/issues/show_bug.cgi?id=2753
#
# Conditional build:
%bcond_with	net_client_only		# build only net client
%bcond_without	neon			# use serf instead of neon
%bcond_without	swig			# disable bindings generation with Swig
%bcond_without	python			# build without Python bindings (broken)
%bcond_without	csvn			# build Python csvn bindings
%bcond_without	perl			# build without Perl bindings
%bcond_without	ruby			# build without Ruby bindings
%bcond_without	apache			# build without Apache support (webdav, etc)
%bcond_without	javahl			# build without javahl support (Java high-level bindings)
%bcond_without	tests			# don't perform "make check"
%bcond_without	kwallet			# build without kde4 wallet support
%bcond_without	kde				# build without kde4 support (alias for kwallet)
%bcond_without	gnome			# build without gnome keyring support
%bcond_without	db				# disable Subversion Berkeley DB based filesystem library

%if %{with net_client_only}
%undefine	with_apache
%undefine	with_db
%undefine	with_swig
%undefine	with_javahl
%endif

%if %{without swig}
%undefine	with_perl
%undefine	with_python
%undefine	with_ruby
%endif

%if %{without kde}
%undefine	with_kwallet
%endif

%if %{without python} && %{without perl} && %{without ruby}
%define		without_swig	1
%endif

%define	apxs	/usr/sbin/apxs
%define	pdir	SVN
%define	pnam	_Core

%if %{with neon}
%define	webdavlib	neon
%else
%define	webdavlib	serf
%endif
%{?with_perl:%include	/usr/lib/rpm/macros.perl}
Summary:	A Concurrent Versioning system similar to but better than CVS
Summary(pl.UTF-8):	System kontroli wersji podobny, ale lepszy, niż CVS
Summary(pt_BR.UTF-8):	Sistema de versionamento concorrente
Name:		subversion
Version:	1.6.17
Release:	2
License:	Apache/BSD-like
Group:		Development/Version Control
Source0:	http://subversion.tigris.org/downloads/%{name}-%{version}.tar.bz2
# Source0-md5:	81e5dc5beee4b3fc025ac70c0b6caa14
Source1:	%{name}-dav_svn.conf
Source2:	%{name}-authz_svn.conf
Source3:	%{name}-svnserve.init
Source4:	%{name}-svnserve.sysconfig
# current subversion tarball has correct *.swg files
# but after regeneration these are broken again, so
# we still need this script
Source5:	%{name}-convert-typemaps-to-ifdef.py
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-DESTDIR.patch
Patch2:		%{name}-ruby-datadir-path.patch
Patch3:		%{name}-tests.patch
URL:		http://subversion.apache.org/
%{?with_apache:BuildRequires:	apache-devel >= 2.2.0-8}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	db-devel >= 4.1.25
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.583
%if %{with perl}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	swig-perl >= 1.3.24
%endif
%if %{with csvn}
BuildRequires:	python-ctypesgen
%endif
%if %{with python}
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	swig-python >= 1.3.24
%endif
%if %{with ruby}
BuildRequires:	ruby-devel
BuildRequires:	ruby-rubygems
BuildRequires:	swig-ruby >= 1.3.24
%endif
%if %{with javahl}
BuildRequires:	jdk
BuildRequires:	libstdc++-devel
%endif
BuildRequires:	apr-devel >= 1:1.0.0
BuildRequires:	apr-util-devel >= 1:1.2.8-3
BuildRequires:	autoconf >= 2.59
BuildRequires:	bison
BuildRequires:	cyrus-sasl-devel
BuildRequires:	expat-devel
BuildRequires:	gettext-devel
%{?with_kwallet:BuildRequires:	kde4-kdelibs-devel}
%{?with_gnome:BuildRequires:	libgnome-keyring-devel}
BuildRequires:	libtool >= 1.4-9
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel >= 3.6.11
BuildRequires:	texinfo
BuildRequires:	which
%if %{with neon}
BuildRequires:	neon-devel >= 0.26.0
%else
BuildRequires:	serf-devel
%endif
Requires:	%{name}-libs = %{version}-%{release}
%requires_ge	sqlite3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir		%{_libdir}/svn
%define		apacheconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d
%define		apachelibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)

%define		skip_post_check_so	libsvn_swig_py-1.so.* libsvn_swig_perl-1.so.* libsvn_fs-1.so.0.0.0
# libsvn_fs-1.so.0.0.0  - "apr_uuid_parse" symbol

%description
The goal of the Subversion project is to build a version control
system that is a compelling replacement for CVS in the open source
community.

Our goals are:
- All current CVS features.
- Directories, renames, and file meta-data are versioned.
- Symbolic links, etc, are supported
- Commits are truly atomic.
- Branching and tagging are cheap (constant time) operations
- Repeated merges are handled gracefully
- Support for plug-in client side diff programs
- Natively client/server
- Client/server protocol sends diffs in both directions
- Costs are proportional to change size, not project size
- Internationalization
- Progressive multi-lingual support

%description -l pl.UTF-8
Celem projektu Subversion jest stworzenie systemu kontroli wersji jako
zamiennika dla CVS.

Cele projektu to:
- Wszystkie aktualne możliwości CVS.
- Katalogi, zmiany nazw oraz metadane plików są wersjonowane.
- Obsługa dowiązań symbolicznych itp.
- Commity są w pełni atomowe.
- Branchowanie oraz tagowanie są tanimi (stałymi w czasie) operacjami.
- Dobra obsługa powtarzanego łączenia (merge).
- Obsługa wtyczek diff po stronie klienta.
- Natywny klient/serwer.
- Klient/Serwer przesyłają diffy w obu kierunkach.
- Koszty proporcjonalne do rozmiaru zmiany, a nie rozmiaru projektu.
- Internacjonalizacja.
- Postępujące wsparcie dla wielu języków.

%description -l pt_BR.UTF-8
O objetivo do projeto Subversion é construir um sistema de controle de
versões que seja um substituto para o CVS (Concurrent Versioning
System) na comunidade opensource, fornecendo grandes melhorias.

%package libs
Summary:	Subversion libraries and modules
Summary(pl.UTF-8):	Biblioteka subversion oraz ładowalne moduły
Group:		Libraries
%{?with_neon:Requires:	neon >= 0.26.0}
Obsoletes:	libsubversion0

%description libs
Subversion libraries and modules.

%description libs -l pl.UTF-8
Biblioteka subversion oraz ładowalne moduły.

%package devel
Summary:	Header files and develpment documentation for subversion
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumetacja do subversion
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento para o Subversion
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	apr-util-devel >= 1:1.0.0
%{?with_neon:Requires:	neon-devel >= 0.26.0}
Obsoletes:	libsubversion0-devel

%description devel
Header files and develpment documentation for subversion.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumetacja do subversion.

%description devel -l pt_BR.UTF-8
Este pacote provê os arquivos necessários para desenvolvedores
interagirem com o Subversion.

%package static
Summary:	Static subversion library
Summary(pl.UTF-8):	Biblioteka statyczna subversion
Summary(pt_BR.UTF-8):	Sistema de versionamento concorrente
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}
Obsoletes:	libsubversion0-static-devel

%description static
Static subversion library.

%description static -l pl.UTF-8
Biblioteka statyczna subversion.

%description static -l pt_BR.UTF-8
Este pacote provê um cliente estático do subversion.

%package svnserve
Summary:	Subversion svnserve
Summary(pl.UTF-8):	Subversion svnserve
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/lib/rpm/user_group.sh
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(pre):	/usr/sbin/usermod
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts
Provides:	group(svn)
Provides:	user(svn)

%description svnserve
Subversion svnserve server.

%description svnserve -l pl.UTF-8
Serwer subversion svnserve.

%package tools
Summary:	Subversion tools and scripts
Summary(pl.UTF-8):	Narzędzia oraz skrypty dla subversion
Summary(pt_BR.UTF-8):	Módulos python para acessar os recursos do Subversion
Group:		Applications
%pyrequires_eq	python
Requires:	%{name} = %{version}-%{release}
Requires:	python-subversion = %{version}

%description tools
Subversion tools and scripts.

%description tools -l pl.UTF-8
Narzędzia oraz skrypty dla subversion.

%package -n bash-completion-subversion
Summary:	bash completion for subversion
Summary(pl.UTF-8):	Dopełnienia basha dla subversion
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion
Conflicts:	%{name}-tools <= 1.1.0-0.rc6.1

%description -n bash-completion-subversion
Bash completion for subversion.

%description -n bash-completion-subversion -l pl.UTF-8
Dopełnienia basha dla subversion.

%package -n java-subversion
Summary:	Subversion Java bindings
Summary(pl.UTF-8):	Dowiązania do Subversion dla Javy
Group:		Development/Languages/Java
Requires:	%{name}-libs = %{version}-%{release}

%description -n java-subversion
This is a set of Java classes which provide the functionality of
subversion-libs, the Subversion libraries. It is useful if you want
to, for example, write a Java class that manipulates a Subversion
repository or working copy. See the 'subversion' package for more
information.

%description -n java-subversion -l pl.UTF-8
Ten pakiet zawiera zestaw klas Javy udostępniających funkcjonalność
subversion-libs, czyli bibliotek Subversion. Jest przydatny przy
pisaniu klas Javy np. modyfikujących repozytorium Subversion lub kopię
roboczą. Więcej informacji w pakiecie subversion.

%package -n python-subversion
Summary:	Subversion Python bindings
Summary(pl.UTF-8):	Dowiązania do Subversion dla Pythona
Summary(pt_BR.UTF-8):	Módulos Python para acessar os recursos do Subversion
Group:		Development/Languages/Python
%pyrequires_eq	python
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	subversion-python

%description -n python-subversion
Subversion Python bindings.

%description -n python-subversion -l pl.UTF-8
Dowiązania do Subversion dla Pythona.

%description -n python-subversion -l pt_BR.UTF-8
Módulos Python para acessar os recursos do Subversion.

%package -n python-csvn
Summary:	CTypes Subversion Python bindings
Summary(pl.UTF-8):	Dowiązania do Subversion dla Pythona
Summary(pt_BR.UTF-8):	Módulos Python para acessar os recursos do Subversion
Group:		Development/Languages/Python
%pyrequires_eq	python
Requires:	%{name}-libs = %{version}-%{release}

%description -n python-csvn
Subversion CTypes Python bindings.

%description -n python-csvn -l pl.UTF-8
Dowiązania do Subversion dla Pythona używające CTypes.

%description -n python-csvn -l pt_BR.UTF-8
Módulos Python para acessar os recursos do Subversion.

%package -n perl-subversion
Summary:	Subversion Perl bindings
Summary(pl.UTF-8):	Dowiązania do Subversion dla Perla
Summary(pt_BR.UTF-8):	Módulos Perl para acessar os recursos do Subversion
Group:		Development/Languages/Perl
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	subversion-perl

%description -n perl-subversion
Subversion Perl bindings.

%description -n perl-subversion -l pl.UTF-8
Dowiązania do Subversion dla Perla.

%description -n perl-subversion -l pt_BR.UTF-8
Módulos Perl para acessar os recursos do Subversion.

%package -n ruby-subversion
Summary:	Subversion Ruby bindings
Summary(pl.UTF-8):	Dowiązania do Subversion dla języka Ruby
Summary(pt_BR.UTF-8):	Módulos Ruby para acessar os recursos do Subversion
Group:		Development/Languages
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	subversion-ruby

%description -n ruby-subversion
Subversion Ruby bindings.

%description -n ruby-subversion -l pl.UTF-8
Dowiązania do Subversion dla języka Ruby.

%description -n ruby-subversion -l pt_BR.UTF-8
Módulos Ruby para acessar os recursos do Subversion.

%package -n apache-mod_dav_svn
Summary:	Apache module: Subversion Server
Summary(pl.UTF-8):	Moduł apache: Serwer Subversion
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	apache(modules-api) = %apache_modules_api
Requires:	apache-mod_dav

%description -n apache-mod_dav_svn
Apache module: Subversion Server.

%description -n apache-mod_dav_svn -l pl.UTF-8
Moduł apache: Serwer Subversion.

%package -n apache-mod_authz_svn
Summary:	Apache module: Subversion Server - path-based authorization
Summary(pl.UTF-8):	Moduł apache: autoryzacja na podstawie ścieżki dla serwera Subversion
Group:		Networking/Daemons
Requires:	apache(modules-api) = %apache_modules_api
Requires:	apache-mod_dav_svn = %{version}-%{release}

%description -n apache-mod_authz_svn
Apache module: Subversion Server - path-based authorization.

%description -n apache-mod_authz_svn -l pl.UTF-8
Moduł apache: autoryzacja na podstawie ścieżki dla serwera Subversion.

%package -n gnome-keyring-subversion
Summary:	GNOME Keyring authentication provider for Subversion
Summary(pl.UTF-8):	Moduł uwierzytelniający GNOME Keyring dla Subversion
Group:		X11/Applications

%description -n gnome-keyring-subversion
Authentication provider module for Subversion which allows SVN client
to authenticate using GNOME Keyring.

%description -n gnome-keyring-subversion -l pl.UTF-8
Moduł uwierzytelniający dla Subversion pozwalający klientom SVN
uwierzytelniać się przy użyciu mechanizmu GNOME Keyring.

%package -n kde4-kwallet-subversion
Summary:	KDE Wallet authentication provider for Subversion
Summary(pl.UTF-8):	Moduł uwierzytelniający dla Subversion wykorzystujący Portfel KDE
Group:		X11/Applications

%description -n kde4-kwallet-subversion
Authentication provider module for Subversion which allows SVN client
to authenticate using KDE Wallet.

%description -n kde4-kwallet-subversion -l pl.UTF-8
Moduł uwierzytelniający dla Subversion pozwalający klientom SVN
uwierzytelniać się przy użyciu Portfela KDE.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch3 -p1

sed -i -e 's#serf_prefix/lib#serf_prefix/%{_lib}#g' build/ac-macros/serf.m4

# serf.m4 macro is broken and ignores --without serf
%{?with_neon:sed -i -e 's#serf_found="yes"#serf_found="no"#g' build/ac-macros/serf.m4}

%build
# disabled regeneration - subversion 1.6.13 is not ready for swig 2.0.x
#%{__rm} subversion/bindings/swig/proxy/*.swg
#cd subversion/bindings/swig && python "%{SOURCE5}" && cd ../../..
chmod +x ./autogen.sh && ./autogen.sh
%{__libtoolize}
%configure \
	--with-editor=vi \
	--with-zlib=%{_libdir} \
	--disable-runtime-module-search \
	--disable-mod-activation \
%if %{with db}
	--with-berkeley-db="db.h:%{_includedir}:%{_libdir}:db" \
%else
	--without-berkeley-db \
%endif
%if %{with apache}
	--with-apxs=%{_sbindir}/apxs \
%else
	--without-apxs \
%endif
%if %{without swig}
	--without-swig \
%endif
%if %{without ruby}
	ac_cv_path_RUBY=none \
%endif
%if %{with csvn}
	--with-ctypesgen=%{_bindir}/ctypesgen.py \
%endif
%if %{with javahl}
	--enable-javahl \
	--with-jdk="%{java_home}" \
	--without-jikes \
%else
	--disable-javahl \
%endif
%if %{with neon}
	--without-serf \
	--with-neon=%{_prefix} \
	--disable-neon-version-check \
%else
	--with-serf=%{_prefix} \
	--without-neon \
%endif
	--with-apr=%{_bindir}/apr-1-config \
	--with-apr-util=%{_bindir}/apu-1-config \
%if %{with kwallet}
	--with-kwallet \
%endif
%if %{with gnome}
	--with-gnome-keyring
%endif

%{__make} -j1

%if %{with csvn}
# Python ctypes bindings
%{__make} ctypes-python
%endif
%if %{with python}
# Python swig bindings
%{__make} swig-py \
	swig_pydir=%{py_sitedir}/libsvn \
	swig_pydir_extra=%{py_sitedir}/svn
%endif
%if %{with perl}
# Perl swig bindings
%{__make} -j1 swig-pl-lib
cd subversion/bindings/swig/perl/native
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} -j1
cd -
%endif
%if %{with javahl}
%{__make} -j1 javahl \
	javahl_javadir="%{_javadir}"
%endif
# ruby
%if %{with ruby}
%{__make} swig-rb
%endif

%if %{with tests}
%{__make} check
%if %{with csvn}
%{__make} check-ctypes-python
%endif
%if %{with python}
%{__make} check-swig-py
%endif
%if %{with perl}
%{__make} check-swig-pl
%endif
%if %{with ruby}
# disabled, see https://bugs.launchpad.net/pld-linux/+bug/734340
#%{__make} check-swig-rb
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig,bash_completion.d} \
	$RPM_BUILD_ROOT{%{apacheconfdir},%{apachelibdir},%{_infodir}} \
	$RPM_BUILD_ROOT%{_examplesdir}/{%{name}-%{version},python-%{name}-%{version}} \
	$RPM_BUILD_ROOT%{_sysconfdir}/%{name} \
	$RPM_BUILD_ROOT/home/services/subversion{,/repos}

%{__make} install -j1 \
	DESTDIR=$RPM_BUILD_ROOT \
	APACHE_LIBEXECDIR="$(%{_sbindir}/apxs -q LIBEXECDIR)" \
%if %{with javahl}
	install-javahl \
	javahl_javadir="%{_javadir}" \
%endif
%if %{with python}
	install-swig-py \
	swig_pydir=%{py_sitedir}/libsvn \
	swig_pydir_extra=%{py_sitedir}/svn \
%endif
%if %{with csvn}
	install-ctypes-python \
%endif

%if %{with ruby}
%{__make} install -j1 \
	DESTDIR=$RPM_BUILD_ROOT \
	install-swig-rb install-swig-rb-doc \

# not our package
%{__rm} -r $RPM_BUILD_ROOT%{ruby_ridir}/Kernel
%{__rm} -r $RPM_BUILD_ROOT%{ruby_ridir}/OptionParser
%{__rm} -r $RPM_BUILD_ROOT%{ruby_ridir}/Time
%{__rm} -r $RPM_BUILD_ROOT%{ruby_ridir}/Uconv
%{__rm} $RPM_BUILD_ROOT%{ruby_ridir}/cache.ri
%{__rm} $RPM_BUILD_ROOT%{ruby_ridir}/created.rid
%endif

%if %{with perl}
%{__make} install-swig-pl-lib \
	DESTDIR=$RPM_BUILD_ROOT
%{__make} -C subversion/bindings/swig/perl/native install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir}
%endif

%if %{with apache}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{apacheconfdir}/65_mod_dav_svn.conf
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{apacheconfdir}/66_mod_authz_svn.conf
cp -p %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/svnserve
install -p %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/svnserve
%endif

%if %{without net_client_only}
install -p tools/backup/hot-backup.py $RPM_BUILD_ROOT%{_bindir}/svn-hot-backup
%endif
%if %{with python} || %{with csvn}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean
%endif
%if %{with python}
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/libsvn/*.la
# .a created on ac only
%{__rm} -f $RPM_BUILD_ROOT%{py_sitedir}/libsvn/*.a
cp -p tools/examples/*.py $RPM_BUILD_ROOT%{_examplesdir}/python-%{name}-%{version}
%endif

cp -p tools/client-side/bash_completion $RPM_BUILD_ROOT/etc/bash_completion.d/%{name}
cp -p tools/examples/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%if %{with javahl}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libsvnjavahl*.{la,a}
%endif
%if %{with swig}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libsvn_swig*.{la,a}
%if %{with ruby}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/ruby/site_ruby/*/*/svn/ext/*.la
%endif
%endif
%if %{with gnome} || %{with kwallet}
# dlopened by soname (libsvn_auth_*-1.so.0)
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libsvn_auth_*-1.{so,la,a}
%endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre svnserve
%groupadd -g 86 svn
%useradd -u 180 -d /home/services/subversion -c "Subversion svnserve" -g svn svn

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post	-n java-subversion -p /sbin/ldconfig
%postun	-n java-subversion -p /sbin/ldconfig

%post	-n perl-subversion -p /sbin/ldconfig
%postun	-n perl-subversion -p /sbin/ldconfig

%post	-n python-subversion -p /sbin/ldconfig
%postun	-n python-subversion -p /sbin/ldconfig

%post	-n ruby-subversion -p /sbin/ldconfig
%postun	-n ruby-subversion -p /sbin/ldconfig

%post	-n gnome-keyring-subversion -p /sbin/ldconfig
%postun	-n gnome-keyring-subversion -p /sbin/ldconfig

%post	-n kde4-kwallet-subversion -p /sbin/ldconfig
%postun	-n kde4-kwallet-subversion -p /sbin/ldconfig

%post svnserve
/sbin/chkconfig --add svnserve
%service svnserve restart "svnserve daemon"

%preun svnserve
if [ "$1" = "0" ]; then
	%service svnserve stop
	/sbin/chkconfig --del svnserve
fi

%postun svnserve
if [ "$1" = "0" ]; then
	%userremove svn
	%groupremove svn
fi

%post -n apache-mod_dav_svn
%service -q httpd restart

%postun -n apache-mod_dav_svn
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%post -n apache-mod_authz_svn
%service -q httpd restart

%postun -n apache-mod_authz_svn
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES COPYING INSTALL README
%doc doc/*/*.html
%doc tools/hook-scripts/*.{pl,py,example}
%doc tools/hook-scripts/mailer/*.{py,example}
%doc tools/xslt/*
%attr(755,root,root) %{_bindir}/svn
%attr(755,root,root) %{_bindir}/svnadmin
%attr(755,root,root) %{_bindir}/svndumpfilter
%attr(755,root,root) %{_bindir}/svnlook
%attr(755,root,root) %{_bindir}/svnsync
%attr(755,root,root) %{_bindir}/svnversion
%{_mandir}/man1/svn.1*
%{_mandir}/man1/svnadmin.1*
%{_mandir}/man1/svndumpfilter.1*
%{_mandir}/man1/svnlook.1*
%{_mandir}/man1/svnsync.1*
%{_mandir}/man1/svnversion.1*

%files libs -f %{name}.lang
%defattr(644,root,root,755)
%dir %{_sysconfdir}/%{name}
%attr(755,root,root) %{_libdir}/libsvn_client-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvn_client-1.so.0
%attr(755,root,root) %{_libdir}/libsvn_delta-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvn_delta-1.so.0
%attr(755,root,root) %{_libdir}/libsvn_diff-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvn_diff-1.so.0
%attr(755,root,root) %{_libdir}/libsvn_fs-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvn_fs-1.so.0
%if %{without net_client_only}
%attr(755,root,root) %{_libdir}/libsvn_fs_base-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvn_fs_base-1.so.0
%endif
%attr(755,root,root) %{_libdir}/libsvn_fs_fs-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvn_fs_fs-1.so.0
%attr(755,root,root) %{_libdir}/libsvn_fs_util-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvn_fs_util-1.so.0
%attr(755,root,root) %{_libdir}/libsvn_ra-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvn_ra-1.so.0
%attr(755,root,root) %{_libdir}/libsvn_ra_local-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvn_ra_local-1.so.0
%attr(755,root,root) %{_libdir}/libsvn_ra_%{webdavlib}-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvn_ra_%{webdavlib}-1.so.0
%attr(755,root,root) %{_libdir}/libsvn_ra_svn-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvn_ra_svn-1.so.0
%attr(755,root,root) %{_libdir}/libsvn_repos-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvn_repos-1.so.0
%attr(755,root,root) %{_libdir}/libsvn_subr-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvn_subr-1.so.0
%attr(755,root,root) %{_libdir}/libsvn_wc-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvn_wc-1.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsvn_client-1.so
%attr(755,root,root) %{_libdir}/libsvn_delta-1.so
%attr(755,root,root) %{_libdir}/libsvn_diff-1.so
%attr(755,root,root) %{_libdir}/libsvn_fs-1.so
%if %{without net_client_only}
%attr(755,root,root) %{_libdir}/libsvn_fs_base-1.so
%endif
%attr(755,root,root) %{_libdir}/libsvn_fs_fs-1.so
%attr(755,root,root) %{_libdir}/libsvn_fs_util-1.so
%attr(755,root,root) %{_libdir}/libsvn_ra-1.so
%attr(755,root,root) %{_libdir}/libsvn_ra_local-1.so
%attr(755,root,root) %{_libdir}/libsvn_ra_%{webdavlib}-1.so
%attr(755,root,root) %{_libdir}/libsvn_ra_svn-1.so
%attr(755,root,root) %{_libdir}/libsvn_repos-1.so
%attr(755,root,root) %{_libdir}/libsvn_subr-1.so
%attr(755,root,root) %{_libdir}/libsvn_wc-1.so
%{_libdir}/libsvn_client-1.la
%{_libdir}/libsvn_delta-1.la
%{_libdir}/libsvn_diff-1.la
%{_libdir}/libsvn_fs-1.la
%if %{without net_client_only}
%{_libdir}/libsvn_fs_base-1.la
%endif
%{_libdir}/libsvn_fs_fs-1.la
%{_libdir}/libsvn_fs_util-1.la
%{_libdir}/libsvn_ra-1.la
%{_libdir}/libsvn_ra_local-1.la
%{_libdir}/libsvn_ra_%{webdavlib}-1.la
%{_libdir}/libsvn_ra_svn-1.la
%{_libdir}/libsvn_repos-1.la
%{_libdir}/libsvn_subr-1.la
%{_libdir}/libsvn_wc-1.la
%{_includedir}/%{name}-1
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libsvn_client-1.a
%{_libdir}/libsvn_delta-1.a
%{_libdir}/libsvn_diff-1.a
%{_libdir}/libsvn_fs-1.a
%if %{without net_client_only}
%{_libdir}/libsvn_fs_base-1.a
%endif
%{_libdir}/libsvn_fs_fs-1.a
%{_libdir}/libsvn_fs_util-1.a
%{_libdir}/libsvn_ra-1.a
%{_libdir}/libsvn_ra_local-1.a
%{_libdir}/libsvn_ra_%{webdavlib}-1.a
%{_libdir}/libsvn_ra_svn-1.a
%{_libdir}/libsvn_repos-1.a
%{_libdir}/libsvn_subr-1.a
%{_libdir}/libsvn_wc-1.a

%if %{with gnome}
%files -n gnome-keyring-subversion
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsvn_auth_gnome_keyring-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvn_auth_gnome_keyring-1.so.0
%endif

%if %{with kwallet}
%files -n kde4-kwallet-subversion
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsvn_auth_kwallet-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvn_auth_kwallet-1.so.0
%endif

%if %{without net_client_only}
%files svnserve
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/svnserve
%{_mandir}/man5/svnserve.conf.5*
%{_mandir}/man8/svnserve.8*
%dir %attr(750,svn,svn) /home/services/subversion
%dir %attr(750,svn,svn) /home/services/subversion/repos
%if %{with apache}
%attr(754,root,root) /etc/rc.d/init.d/svnserve
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/svnserve
%endif

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/svn-hot-backup

%files -n bash-completion-subversion
%defattr(644,root,root,755)
/etc/bash_completion.d/%{name}

%endif # net_client_only

%if %{with javahl}
%files -n java-subversion
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsvnjavahl-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvnjavahl-1.so.0
%attr(755,root,root) %{_libdir}/libsvnjavahl-1.so
%{_javadir}/svn-javahl.jar
%endif

%if %{with python}
%files -n python-subversion
%defattr(644,root,root,755)
%doc tools/backup/*.py
%attr(755,root,root) %{_libdir}/libsvn_swig_py-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvn_swig_py-1.so.0
%attr(755,root,root) %{_libdir}/libsvn_swig_py-1.so
%dir %{py_sitedir}/libsvn
%attr(755,root,root) %{py_sitedir}/libsvn/_*.so
%{py_sitedir}/libsvn/*.py[co]
%dir %{py_sitedir}/svn
%{py_sitedir}/svn/*.py[co]
%{_examplesdir}/python-%{name}-%{version}
%endif

%if %{with csvn}
%files -n python-csvn
%defattr(644,root,root,755)
%doc subversion/bindings/ctypes-python/{README,TODO}
%doc subversion/bindings/ctypes-python/examples/*.py
%dir %{py_sitescriptdir}/csvn
%{py_sitescriptdir}/csvn/*.py[co]
%dir %{py_sitescriptdir}/csvn/core
%{py_sitescriptdir}/csvn/core/*.py[co]
%dir %{py_sitescriptdir}/csvn/ext
%{py_sitescriptdir}/csvn/ext/*.py[co]
%{py_sitescriptdir}/svn_ctypes_python_bindings-0.1-py*.egg-info
%endif

%if %{with perl}
%files -n perl-subversion
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsvn_swig_perl-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvn_swig_perl-1.so.0
%attr(755,root,root) %{_libdir}/libsvn_swig_perl-1.so
%{perl_vendorarch}/SVN
%dir %{perl_vendorarch}/auto/SVN
%dir %{perl_vendorarch}/auto/SVN/*
%attr(755,root,root) %{perl_vendorarch}/auto/SVN/*/*.so
%{perl_vendorarch}/auto/SVN/*/*.bs
%{_mandir}/man3/*.3pm*
%endif

%if %{with ruby}
%files -n ruby-subversion
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsvn_swig_ruby-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvn_swig_ruby-1.so.0
%attr(755,root,root) %{_libdir}/libsvn_swig_ruby-1.so
%dir %{ruby_sitelibdir}/svn
%{ruby_sitelibdir}/svn/*.rb
%dir %{ruby_sitearchdir}/svn
%dir %{ruby_sitearchdir}/svn/ext
%attr(755,root,root) %{ruby_sitearchdir}/svn/ext/*.so
%{ruby_ridir}/Svn
%endif

%if %{with apache}
%files -n apache-mod_dav_svn
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{apacheconfdir}/*_mod_dav_svn.conf
%attr(755,root,root) %{apachelibdir}/mod_dav_svn.so

%files -n apache-mod_authz_svn
%defattr(644,root,root,755)
%doc subversion/mod_authz_svn/INSTALL
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{apacheconfdir}/*_mod_authz_svn.conf
%attr(755,root,root) %{apachelibdir}/mod_authz_svn.so
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: subversion.spec,v $
Revision 1.314.2.1  2011/10/07 20:12:29  glen
- temp fix for check_so

Revision 1.314  2011/08/03 06:16:48  baggins
- release 2

Revision 1.313  2011/06/02 17:45:34  arekm
- up to 1.6.17; fixes CVE-2011-1752, CVE-2011-1783, CVE-2011-1921

Revision 1.312  2011/05/21 12:25:39  glen
- release 2

Revision 1.311  2011/04/12 12:42:34  jajcus
- missing \

Revision 1.310  2011/03/17 08:07:54  glen
- fix perl macros inclusion

Revision 1.309  2011/03/13 18:59:16  glen
- cleanup ruby ri docs

Revision 1.308  2011/03/13 17:40:25  glen
- csvn not dependant on python bcond

Revision 1.307  2011/03/13 16:24:59  glen
- try to improve spec readability with bconds

Revision 1.306  2011/03/13 15:39:50  glen
- fix build without apache

Revision 1.305  2011/03/13 15:34:07  glen
- no duplicate packaging of python tools/examples

Revision 1.304  2011/03/13 15:32:40  glen
- javahl needs c++

Revision 1.303  2011/03/13 15:31:34  glen
- add csvn bcond for ctypes based Python bindings

Revision 1.302  2011/03/13 15:29:34  glen
- make --without ruby to work

Revision 1.301  2011/03/13 15:16:47  glen
- split net_client_only bcond to subconds

Revision 1.300  2011/03/13 14:39:26  glen
- disable ruby testing due pld ruby packaging bug

Revision 1.299  2011/03/13 14:37:50  glen
- package /etc/subversion dir to -libs
- spec cosmetics

Revision 1.298  2011/03/05 19:20:51  arekm
- up to 1.6.16

Revision 1.297  2011/01/17 22:24:55  pawelz
- BR: ruby-rubygems
- fix build with net_client_only
- adapter: sorted BRs

Revision 1.296  2011/01/15 22:03:08  charles
- updated BRs

Revision 1.295  2011/01/15 16:00:04  qboosh
- added kde bcond (alias for kwallet)
- updated python cleaning

Revision 1.294  2011/01/14 23:07:33  zbyniu
- up to 1.6.15 [fixes CVE-2010-4539 CVE-2010-4644]

Revision 1.293  2010/11/26 10:10:22  hawk
- release 5

Revision 1.292  2010/11/21 13:37:53  qboosh
- updated rms
- fixed descriptions of kwallet and gnome-keyring subpackages

Revision 1.291  2010/11/21 09:26:32  qboosh
- added tests patch (disables auth test, which fails when subversion cannot load all its auth modules completely)
- disabled swig files regeneration (current subversion is not ready for swig 2.0.x)
- note: check-swig-py fails for me

Revision 1.290  2010/11/15 10:17:52  pawelz
- release 4

Revision 1.289  2010/11/08 14:22:44  glen
- missing ldconfig calls for ghost libs

Revision 1.288  2010/11/04 02:26:56  shadzik
- rel 3

Revision 1.287  2010/10/13 12:35:26  baggins
- rel 2
- unresolved symbols in perl and python modules are completely harmles

Revision 1.286  2010/10/05 10:56:35  arekm
- up to 1.6.13

Revision 1.285  2010/07/09 08:08:22  arekm
- release 2

Revision 1.284  2010/06/22 13:03:49  arekm
- up to 1.6.12

Revision 1.283  2010/06/06 06:59:58  arekm
- rel 7; BR libgnome-keyring-devel instead of gnome-keyring-devel

Revision 1.282  2010/06/06 05:35:29  arekm
- release 6

Revision 1.281  2010/06/06 01:00:07  radek
- release 5

Revision 1.280  2010/04/29 12:56:59  baggins
- rel 4
- requires_ge should be enough for sqlite3

Revision 1.279  2010/04/29 12:23:38  baggins
- rel 3
- i'm fed up with constant complains from the users,
  require exact sqlite ver as the one built with
  > svn: Couldn't perform atomic initialization
  > svn: SQLite skompilowane dla 3.6.23, ale działające z 3.6.22

Revision 1.278  2010/04/20 07:00:55  arekm
- rel 2; disable jikes usage (we prefer regular java* to be used)

Revision 1.277  2010/04/18 17:13:16  arekm
- up to 1.6.11

Revision 1.276  2010/04/17 07:44:36  jajcus
- do not pull java-sun via BR - icedtea6 should be enough in all (most) cases

Revision 1.275  2010/03/31 15:09:06  baggins
- rel 5
- preun for apache modules was totally wrong, use postun!

Revision 1.274  2010/03/31 14:54:42  baggins
- rel 4
- more TODO
- added missing scriptlets for apache-mod_authz_svn

Revision 1.273  2010/03/02 14:25:28  baggins
- rel 3

Revision 1.272  2010/03/02 14:11:47  baggins
- fixed ruby packaging

Revision 1.271  2010/03/01 14:14:42  baggins
- rel 2
- use macros in ruby package

Revision 1.270  2010/02/12 21:03:34  sparky
- BR: pkgconfig

Revision 1.269  2010/02/12 14:55:40  arekm
- up to 1.6.9

Revision 1.268  2009/10/23 13:46:35  jajcus
- without_gnome bcond added

Revision 1.267  2009/10/22 19:30:35  arekm
- up to 1.6.6

Revision 1.266  2009/08/26 07:16:44  arekm
- up to 1.6.5

Revision 1.265  2009/08/09 10:19:48  arekm
- up to 1.6.4; fixes CVE-2009-2411

Revision 1.264  2009/07/03 19:34:44  megabajt
- always pass --with-berkeley-db= when build without net_client_only
  (apu-1-config --libs doesn't provide -ldb any more)
- release 4

Revision 1.263  2009/07/03 15:20:46  megabajt
- release 3

Revision 1.262  2009/06/28 03:45:11  arekm
- rel 2; br java-sun-tools

Revision 1.261  2009/06/22 13:33:01  arekm
- up to 1.6.3

Revision 1.260  2009/05/15 16:00:09  pawelz
- added kwallet bcond.

Revision 1.259  2009/05/13 18:19:26  witekfl
- up to 1.6.2 (build fails on tests)
- rm -f instead of a bare rm

Revision 1.258  2009/05/07 15:36:57  megabajt
- missing dir

Revision 1.257  2009/04/10 06:55:00  arekm
- up to 1.6.1

Revision 1.256  2009/04/04 23:27:04  arekm
- actually rcsparse no longer needed

Revision 1.255  2009/04/04 23:24:21  arekm
- s/python-rcsparse/python-viewvc-rcsparse/

Revision 1.254  2009/03/20 21:11:46  arekm
- rel 3

Revision 1.253  2009/03/20 21:03:46  arekm
- disable proper rm

Revision 1.252  2009/03/20 20:54:52  arekm
- javahl in bcond

Revision 1.251  2009/03/20 17:31:33  arekm
- other way

Revision 1.250  2009/03/20 17:14:01  arekm
- rel 2

Revision 1.249  2009/03/20 16:56:12  arekm
- final 1.6.0

Revision 1.248  2009/03/19 07:30:50  arekm
- reorder BuildRequires so net_client_only bcond makes sense again

Revision 1.247  2009/03/12 10:02:55  arekm
add BR: sqlite3-devel

Revision 1.246  2009/03/12 10:00:55  arekm
- package python csvn bindings

Revision 1.245  2009/03/06 07:57:33  arekm
- doesn't build with non java-sun

Revision 1.244  2009/03/05 22:18:27  arekm
- md5

Revision 1.243  2009/03/05 21:59:10  arekm
- up to 1.6.0rc3 (final in 2 weeks); new packages for gnome keyring and kde wallet

Revision 1.242  2009/02/26 20:50:45  arekm
- up to 1.5.6

Revision 1.241  2009/01/06 20:37:18  adamg
- release 2 (git svn works for me)

Revision 1.240  2009/01/06 18:55:32  adamg
- try -j1 as an attempt to "fix" perl bindings

Revision 1.239  2008/12/23 10:59:59  arekm
- up to 1.5.5

Revision 1.238  2008/10/24 18:10:17  arekm
- up to 1.5.4

Revision 1.237  2008/10/11 13:12:07  adamg
- updated to 1.5.3
- tests patch no longer needed
- fails on ruby tests

Revision 1.236  2008/10/08 18:33:51  qboosh
- updated neon bcond desc

Revision 1.235  2008/10/06 12:35:32  arekm
- rel 4; back to neon (serf currently sucks)

Revision 1.234  2008/10/06 12:35:11  arekm
- rel 4; back to neon (serf currently sucks)

Revision 1.233  2008/10/04 17:06:16  megabajt
- release 3

Revision 1.232  2008/08/31 16:17:16  arekm
- up to 1.5.2

Revision 1.231  2008/08/17 20:01:26  qboosh
- unconditional BR: sed 4

Revision 1.230  2008/08/10 11:24:39  arekm
- revert

Revision 1.229  2008/08/10 11:14:58  arekm
- fix non-serf

Revision 1.228  2008/08/10 10:48:51  adamg
- bcond change: without_serf -> with_neon

Revision 1.227  2008/08/10 10:28:36  arekm
- rel 2; switch to (finished) serf

Revision 1.226  2008/08/08 20:32:11  arekm
- partial libserf support (we will switch to it from neon in future)

Revision 1.225  2008/08/04 09:51:35  sls
- BR: ruby-devel

Revision 1.224  2008/07/26 15:58:31  arekm
- up to 1.5.1

Revision 1.223  2008/06/29 11:34:36  hawk
- fix ruby-subversion-1.5.0-2: req /usr/share/ri/1.8/system/OptionParser not found

Revision 1.222  2008/06/28 20:44:03  hawk
- ruby site dir is packaged as system dir in pld
- release 2

Revision 1.221  2008/06/28 09:56:00  arekm
- update nonexistant options

Revision 1.220  2008/06/22 22:31:42  arekm
- rel 1; perl bindings broken, upstream doesn't care

Revision 1.219  2008/06/21 19:56:59  adamg
- use %undefine

Revision 1.218  2008/06/21 19:50:30  adamg
- javahl on supported archs only

Revision 1.217  2008/06/20 18:05:14  adamg
- updated to 1.5.0
- tests fail on carme, rel. 0.1 for now

Revision 1.216  2008-06-12 15:54:50  adamg
- updated to 1.5.0-rc9

Revision 1.215  2008-06-09 20:13:13  cactus
- BR: swig-ruby

Revision 1.214  2008-06-04 22:38:19  qboosh
- more -j1 where make deps are missing
- specify libs explicitly instead of tons of excludes

Revision 1.213  2008-06-03 17:46:49  qboosh
- unified, missing ldconfig calls

Revision 1.212  2008-06-03 17:26:19  arekm
- add checks for python/perl/ruby bindings; add ruby bindings subpackage

Revision 1.211  2008-05-26 21:41:33  arvenil
- up to 1.5.0-rc5

Revision 1.210  2008-05-26 19:23:55  qboosh
- pl for java-

Revision 1.209  2008-05-17 13:33:04  arvenil
- adapter

Revision 1.208  2008-05-17 12:55:18  arvenil
- build with javahl support

Revision 1.207  2008-05-12 21:55:08  prism
- svnserve does not need root privileges, use svn group and user
- note: /home/services/subversion{,/repos} are now owned by svn:svn (750)

Revision 1.206  2008-04-23 17:45:02  arekm
- prepare for final 1.5.0 (rc4 for now); run test suite when building

Revision 1.205  2008-02-21 21:00:03  hawk
- release 4

Revision 1.204  2008-02-09 21:00:47  qboosh
- unified License format

Revision 1.203  2008-02-08 14:37:51  arekm
- rel 3

Revision 1.202  2008-01-24 01:36:34  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.201  2007-12-26 18:03:11  glen
- use apacheconfdir/apachelibdir macros

Revision 1.200  2007-12-26 18:01:27  glen
- use conf.d for apache config fragment; rel 2

Revision 1.199  2007-12-20 21:01:17  arekm
- up to 1.4.6

Revision 1.198  2007/11/03 12:41:14  arekm
- fix building with swig 1.3.32rc1

Revision 1.197  2007/09/20 16:00:07  wolf
- --without python doesn't work

Revision 1.196  2007/08/31 20:42:28  arekm
- rel 3

Revision 1.195  2007/08/31 20:31:55  arekm
- rel 2

Revision 1.194  2007/08/28 13:35:23  arekm
- up to 1.4.5

Revision 1.193  2007/08/02 10:01:15  arekm
- rel 5; neon patch updated

Revision 1.192  2007/08/02 09:43:40  arekm
- rel 4

Revision 1.191  2007/07/26 17:06:04  arekm
- rel 3; rebuild with new db4.6

Revision 1.190  2007/07/23 18:53:59  qboosh
- pl fixes
- updated neon version in -libs/-devel
- no subshell

Revision 1.189  2007/07/22 01:22:03  japhy
- Add backport of Python bindings from 1.5 (trunk) to make bzr_svn
  work
- Regenerate SWIG Python includes to compile with current SWIG (script
  taken from Gentoo overlay)

Revision 1.188  2007/07/02 21:52:25  glen
- rel 2

Revision 1.187  2007/06/08 22:48:49  arekm
- up to 1.4.4

Revision 1.186  2007/04/02 12:17:17  baggins
- rel 4

Revision 1.185  2007/02/27 19:55:59  arekm
- rel 3

Revision 1.184  2007/02/27 13:11:47  baggins
- rel 2
- fix neon build (missing webdav support)

Revision 1.183  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.182  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.181  2007/01/28 12:14:07  arekm
- up to 1.4.3

Revision 1.180  2007/01/05 14:24:11  wrobell
- rel. 4

Revision 1.179  2007/01/05 14:19:53  wrobell
- cleanup

Revision 1.178  2007/01/05 14:03:29  wrobell
- get rid of unnecessary libtool files from perl and python subpackages
- bump apr-util build requirements due to fixed mysql libtool dependencies
  fixed in apr-util
- rel. 3

Revision 1.177  2006/12/23 12:54:17  arekm
- rel 2

Revision 1.176  2006/11/13 15:04:12  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.175  2006/11/08 13:43:21  arekm
- fix neon detection

Revision 1.174  2006/11/08 10:59:52  arekm
- up to 1.4.2 (doesn't build due to pdksh being ugly ;-)

Revision 1.173  2006/10/29 20:47:02  blues
- revert

Revision 1.172  2006/10/29 20:05:53  blues
- rel. 4 - apache-mod_dav_svn requires some more modules (at least default
  configuration)

Revision 1.171  2006/09/30 22:17:14  arekm
- rebuild with new db4.5

Revision 1.170  2006/09/27 20:07:07  wrobell
- rel. 2 to rebuild with python 2.5 (final)

Revision 1.169  2006/09/11 07:55:11  arekm
- up to 1.4.0

Revision 1.168  2006/08/05 19:31:56  wolf
- rel 2

Revision 1.167  2006/07/18 07:47:32  glen
- cosmetics on bconds
- define pdir/pnam for perlautoclean automatics
- limit jobservers to one ((build) commands executed in wrong order)

Revision 1.166  2006/07/07 09:13:18  qboosh
- svn-hot-backup if !with_net_client_only

Revision 1.165  2006/05/31 21:16:37  arekm
- up to 1.3.2

Revision 1.164  2006/04/04 10:34:45  arekm
- up to 1.3.1

Revision 1.163  2006/03/23 13:04:47  pluto
- http(s) tested with neon-0.25.5, release 5.

Revision 1.162  2006/03/22 20:47:43  pluto
- http backend works with neon-0.25.5 too.

Revision 1.161  2006/03/18 15:13:16  glen
- should be buildconflicts

Revision 1.160  2006/03/18 12:55:04  wolf
- block building with neon >= 0.25.5
  checking neon library version... 0.26.0
  You have neon version 0.26.0, but Subversion needs neon 0.25.4.

Revision 1.159  2006/03/18 12:48:23  wolf
- cut changelog

Revision 1.158  2006/03/13 22:42:01  glen
- more apache build system unify

Revision 1.157  2006/03/13 22:39:09  glen
- unify apache modules preambles
- adapterized

Revision 1.156  2006/03/13 22:37:38  glen
- use %service, add missing chkconfig

Revision 1.155  2006/03/11 23:43:22  pluto
- more swig fixes.

Revision 1.154  2006/03/11 19:25:34  pluto
- lib*siwg*.la moved to perl/python subpkgs.
- release 4.
